Index: libexec/rc/rc.d/abi
===================================================================
--- libexec/rc/rc.d/abi	(revision 342388)
+++ libexec/rc/rc.d/abi	(working copy)
@@ -1,63 +1,63 @@
 #!/bin/sh
 #
 # $FreeBSD$
 #
 
 # PROVIDE: abi
 # REQUIRE: archdep
 # KEYWORD: nojail
 
 . /etc/rc.subr
 
 name="abi"
 desc="Enable foreign ABIs"
 start_cmd="${name}_start"
 stop_cmd=":"
 
 sysv_start()
 {
 	echo -n ' sysvipc'
 	load_kld sysvmsg
 	load_kld sysvsem
 	load_kld sysvshm
 }
 
 linux_start()
 {
 	local _tmpdir
 
 	echo -n ' linux'
-	load_kld -e 'linux(aout|elf)' linux
+	load_kld linux
 	case `sysctl -n hw.machine_arch` in
 	amd64)
-		load_kld -e 'linux64elf' linux64
+		load_kld linux64
 		;;
 	esac
 	if [ -x /compat/linux/sbin/ldconfigDisabled ]; then
 		_tmpdir=`mktemp -d -t linux-ldconfig`
 		/compat/linux/sbin/ldconfig -C ${_tmpdir}/ld.so.cache
 		if ! cmp -s ${_tmpdir}/ld.so.cache /compat/linux/etc/ld.so.cache; then
 			cat ${_tmpdir}/ld.so.cache > /compat/linux/etc/ld.so.cache
 		fi
 		rm -rf ${_tmpdir}
 	fi
 }
 
 abi_start()
 {
 	local _echostop
 
 	_echostop=
 	if checkyesno sysvipc_enable || checkyesno linux_enable; then
 		echo -n 'Additional ABI support:'
 		_echostop=yes
 	fi
 
 	checkyesno sysvipc_enable && sysv_start
 	checkyesno linux_enable && linux_start
 
 	[ -n "${_echostop}" ] && echo '.'
 }
 
 load_rc_config $name
 run_rc_command "$1"
Index: libexec/rc/rc.d/bthidd
===================================================================
--- libexec/rc/rc.d/bthidd	(revision 342388)
+++ libexec/rc/rc.d/bthidd	(working copy)
@@ -1,54 +1,54 @@
 #!/bin/sh
 #
 # $FreeBSD$
 #
 
 # PROVIDE: bthidd
 # REQUIRE: DAEMON hcsecd
 # BEFORE: LOGIN
 # KEYWORD: nojail shutdown
 
 . /etc/rc.subr
 
 name="bthidd"
 desc="Bluetooth HID daemon"
 rcvar="bthidd_enable"
 command="/usr/sbin/${name}"
 pidfile="/var/run/${name}.pid"
 start_precmd="bthidd_prestart"
 
 evdev_enabled()
 {
 	case ${bthidd_evdev_support} in
 	[Aa][Uu][Tt][Oo])
 		check_kern_features evdev_support
 		return $?
 		;;
 	*)
 		checkyesno bthidd_evdev_support
 		return $?
 		;;
 	esac
 }
 
 bthidd_prestart()
 {
 	if evdev_enabled; then
-		load_kld -m uinput uinput
+		load_kld uinput
 	fi
-	load_kld -m kbdmux kbdmux
-	load_kld -m vkbd vkbd
-	load_kld -m ng_btsocket ng_btsocket
+	load_kld kbdmux
+	load_kld vkbd
+	load_kld ng_btsocket
 	return 0
 }
 
 load_rc_config $name
 config="${bthidd_config:-/etc/bluetooth/${name}.conf}"
 hids="${bthidd_hids:-/var/db/${name}.hids}"
 command_args="-c ${config} -H ${hids} -p ${pidfile}"
 if evdev_enabled; then
 	command_args="$command_args -u"
 fi
 required_files="${config}"
 
 run_rc_command "$1"
Index: libexec/rc/rc.d/cfumass
===================================================================
--- libexec/rc/rc.d/cfumass	(revision 342388)
+++ libexec/rc/rc.d/cfumass	(working copy)
@@ -1,149 +1,149 @@
 #!/bin/sh
 #
 # $FreeBSD$
 #
 
 # PROVIDE: cfumass
 # REQUIRE: var
 # KEYWORD: nojail
 
 . /etc/rc.subr
 
 name="cfumass"
 desc="Configure the LUN for device mode USB mass storage"
 rcvar="cfumass_enable"
 
 start_cmd="${name}_start"
 stop_cmd="${name}_stop"
 
 extra_commands="reload"
 reload_cmd="${name}_start"
 
 : ${cfumass_dir:=/var/cfumass}
 : ${cfumass_image:=/var/tmp/cfumass.img}
 : ${cfumass_vendor:="FreeBSD"}
 : ${cfumass_product:="cfumass(4)"}
 
 remove_luns()
 {
 	local _lun _luns
 
 	_luns=`ctladm devlist -b block -v | awk '
 
 	$1 ~ /^[0-9]+$/ {
 		lun = $1
 	}
 
 	$1 == "file='"${cfumass_image}"'" {
 		print lun
 	}'`
 
 	for _lun in ${_luns}; do
 		ctladm remove -b block -l "${_lun}" > /dev/null
 	done
 }
 
 cfumass_start()
 {
 	local err _files _template _new_template
 
 	if [ ! -d "${cfumass_dir}" ]; then
 		warn "${cfumass_dir} does not exist"
 		return 1
 	fi
 
 	_files=`find "${cfumass_dir}" -newer "${cfumass_image}" -print 2> /dev/null`
 	if [ ! -e "${cfumass_image}" -o -n "${_files}" ]; then
 		# The image doesn't exist or is out of date.
 		makefs -t cd9660 -o label="${cfumass_vendor}" \
 		    -o rockridge "${cfumass_image}" "${cfumass_dir}"
 		err=$?
 		if [ "${err}" -ne 0 ]; then
 			warn "unable to create ${cfumass_image}"
 			return "${err}"
 		fi
 	fi
 
 	remove_luns
 
 	ctladm create -b block -o file="${cfumass_image}" -o readonly=on \
 	    -o vendor="${cfumass_vendor}" -o product="${cfumass_product}" \
 	    -S 0 > /dev/null
 	err=$?
 	if [ "${err}" -ne 0 ]; then
 		warn "unable to create CTL LUN"
 		return "${err}"
 	fi
 
-	load_kld -e cfumass cfumass
+	load_kld cfumass
 
 	# If the template is already switched to Mass Storage, then reset
 	# it to -1 to force the host to reenumerate it; otherwise it might
 	# not notice the new LUN.
 	_template=`sysctl -n hw.usb.template`
 	if [ "${_template}" -eq 0 ]; then
 		sysctl hw.usb.template=-1 > /dev/null
 		err=$?
 		if [ "${err}" -ne 0 ]; then
 			warn "unable to set hw.usb.template sysctl"
 			return "${err}"
 		fi
 	fi
 
 	# Set the template number based on the current one.
 	_template=`sysctl -n hw.usb.template`
 	case "${_template}" in
 	-1)
 		_new_template="0"
 		;;
 	8)
 		_new_template="10"
 		;;
 	*)
 		warn "hw.usb.template sysctl set to neither -1 nor 8; not changing"
 		_new_template=""
 		;;
 	esac
 		
 	if [ -n "${_new_template}" ]; then
 		sysctl hw.usb.template="${_new_template}" > /dev/null
 		err=$?
 		if [ "${err}" -ne 0 ]; then
 			warn "unable to set hw.usb.template sysctl to ${_new_template}"
 			return "${err}"
 		fi
 	fi
 }
 
 cfumass_stop()
 {
 	local err _template _new_template
 
 	remove_luns
 
 	_template=`sysctl -n hw.usb.template`
 	case "${_template}" in
 	0)
 		_new_template="-1"
 		;;
 	10)
 		_new_template="8"
 		;;
 	*)
 		warn "hw.usb.template sysctl set to neither 0 nor 10; not changing"
 		_new_template=""
 		;;
 	esac
 		
 	if [ -n "${_new_template}" ]; then
 		sysctl hw.usb.template="${_new_template}" > /dev/null
 		err=$?
 		if [ "${err}" -ne 0 ]; then
 			warn "unable to set hw.usb.template sysctl to ${_new_template}"
 			return "${err}"
 		fi
 	fi
 }
 
 load_rc_config $name
 run_rc_command "$1"
Index: libexec/rc/rc.d/kld
===================================================================
--- libexec/rc/rc.d/kld	(revision 342388)
+++ libexec/rc/rc.d/kld	(working copy)
@@ -1,54 +1,54 @@
 #!/bin/sh
 
 # Copyright (c) 2011 Douglas Barton
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions
 # are met:
 # 1. Redistributions of source code must retain the above copyright
 #    notice, this list of conditions and the following disclaimer.
 # 2. Redistributions in binary form must reproduce the above copyright
 #    notice, this list of conditions and the following disclaimer in the
 #    documentation and/or other materials provided with the distribution.
 #
 # THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 # ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
 # $FreeBSD$
 #
 # PROVIDE: kld
 # REQUIRE: kldxref
 # KEYWORD: nojail
 
 . /etc/rc.subr
 
 name="kld"
 desc="Load kernel modules"
 
 start_cmd="${name}_start"
 stop_cmd=':'
 
 kld_start()
 {
 	[ -n "$kld_list" ] || return
 
 	local _kld
 
 	echo 'Loading kernel modules:'
 	for _kld in $kld_list ; do
-		load_kld -e ${_kld}.ko $_kld
+		load_kld $_kld
 	done
 }
 
 load_rc_config $name
 run_rc_command "$1"
Index: libexec/rc/rc.d/mdconfig
===================================================================
--- libexec/rc/rc.d/mdconfig	(revision 342388)
+++ libexec/rc/rc.d/mdconfig	(working copy)
@@ -1,197 +1,197 @@
 #!/bin/sh
 #
 # Copyright (c) 2006  The FreeBSD Project
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions
 # are met:
 # 1. Redistributions of source code must retain the above copyright
 #    notice, this list of conditions and the following disclaimer.
 # 2. Redistributions in binary form must reproduce the above copyright
 #    notice, this list of conditions and the following disclaimer in the
 #    documentation and/or other materials provided with the distribution.
 #
 # THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 # ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
 # $FreeBSD$
 #
 
 # PROVIDE: mdconfig
 # REQUIRE: swap root
 
 . /etc/rc.subr
 
 name="mdconfig"
 desc="Create and control memory disks"
 stop_cmd="mdconfig_stop"
 start_cmd="mdconfig_start"
 start_precmd='[ -n "${_mdconfig_list}" ]'
 required_modules="geom_md:g_md"
 
 is_readonly()
 {
 	local _mp _ret
 
 	_mp=$1
 	_ret=`mount | while read _line; do
 		case ${_line} in
 		*" ${_mp} "*read-only*)
 			echo "yes"
 			;;
 
 		*)
 			;;
 		esac;
 	done`
 
 	if [ -n "${_ret}" ]; then
 		return 0
 	else
 		return 1
 	fi
 }
 
 init_variables()
 {
 	local _i
 
 	_fs=""
 	_mp=""
 	_dev="/dev/${_md}"
 	eval _config=\$mdconfig_${_md}
 	eval _newfs=\$mdconfig_${_md}_newfs
 
 	_type=${_config##*-t\ }
 	_type=${_type%%\ *}
 	if [ -z "${_type}" ]; then
 		err 1 "You need to specify \"-t <type>\" in mdconfig_${_md}"
 	fi
 
 	if [ "${_type}" = "vnode" ]; then
 		_file=${_config##*-f\ }
 		_file=${_file%%\ *}
 		if [ -z "${_file}" ]; then
 			err 2 "You need to specify \"-f <file>\" in mdconfig_${_md} for vnode devices"
 		fi
 		if [ "${_file}" != "${_file%.uzip}" ]; then
 			_dev="/dev/${_md}.uzip"
 		fi
 		for _i in `df ${_file} 2>/dev/null`; do _fs=${_i}; done
 	fi
 
 	# Debugging help.
 	debug "${_md} config: ${_config}"
 	debug "${_md} type: ${_type}"
 	debug "${_md} dev: ${_dev}"
 	debug "${_md} file: ${_file}"
 	debug "${_md} fs: ${_fs}"
 	debug "${_md} newfs flags: ${_newfs}"
 }
 
 mdconfig_start()
 {
 	local _md _mp _config _type _dev _file _fs _newfs _fsck_cmd
 
 	for _md in ${_mdconfig_list}; do
 		init_variables ${_md}
 		# Create md(4) devices of types swap, malloc and vnode if the
 		# file is on the root partition.
 		if [ "${_type}" != "vnode" -o "${_fs}" = "/" ]; then
 			if [ "${_type}" = "vnode" ]; then
 				if is_readonly ${_fs}; then
 					warn "${_fs} is mounted read-only, skipping ${_md}."
 					continue
 				fi
 				if [ "${_file}" != "${_file%.uzip}" ]; then
-					load_kld -m g_uzip geom_uzip || return 3
+					load_kld geom_uzip || return 3
 					# sleep a bit to allow creation of /dev/mdX.uzip
 					sleep 2
 				fi
 			fi
 			if mdconfig -l -u ${_md} >/dev/null 2>&1; then
 				err 3 "${_md} already exists"
 			fi
 			echo "Creating ${_md} device (${_type})."
 			if ! mdconfig -a ${_config} -u ${_md}; then
 				echo "Creating ${_md} device failed, moving on."
 				continue
 			fi
 			# Skip fsck for uzip devices.
 			if [ "${_type}" = "vnode" ]; then
 				if [ "${_file}" != "${_file%.uzip}" ]; then
 					_fsck_cmd=":"
 				elif checkyesno background_fsck; then
 					_fsck_cmd="fsck -F"
 				else
 					_fsck_cmd="fsck"
 				fi
 				if ! eval ${_fsck_cmd} -p ${_dev} >/dev/null; then
 					echo "Fsck failed on ${_dev}, not mounting the filesystem."
 					continue
 
 				fi
 			else
 				newfs ${_newfs} ${_dev} >/dev/null
 			fi
 			if mount -d ${_dev} 2>&1 >/dev/null; then
 				echo "Mounting ${_dev}."
 				mount ${_dev}
 			fi
 		fi
 	done
 }
 
 mdconfig_stop()
 {
 	local _md _mp _config _type _dev _file _fs _newfs _i
 
 	for _md in ${_mdconfig_list}; do
 		init_variables ${_md}
 		if [ "${_type}" != "vnode" -o "${_fs}" = "/" ]; then
 			for _i in `df ${_dev} 2>/dev/null`; do _mp=${_i}; done
 			if [ -z "${_mp}" -o "${_mp}" != "${_mp%%%}" ]; then
 				echo "Device ${_dev} isn't mounted."
 			else
 				echo "Umounting ${_dev}."
 				umount ${_dev}
 			fi
 			if mdconfig -l -u ${_md} >/dev/null 2>&1; then
 				echo "Destroying ${_md}."
 				mdconfig -d -u ${_md}
 			fi
 		fi
 	done
 }
 
 _mdconfig_cmd="$1"
 if [ $# -gt 0 ]; then
         shift
 fi
 [ -n "$*" ] && _mdconfig_list="$*"
 
 load_rc_config $name
 
 if [ -z "${_mdconfig_list}" ]; then
 	for _mdconfig_config in `list_vars mdconfig_md[0-9]\* |
 		sort_lite -nk1.12`
 	do
 		_mdconfig_unit=${_mdconfig_config#mdconfig_md}
 		[ "${_mdconfig_unit#*[!0-9]}" = "$_mdconfig_unit" ] ||
 			continue
 		_mdconfig_list="$_mdconfig_list md$_mdconfig_unit"
 	done
 	_mdconfig_list="${_mdconfig_list# }"
 fi
 
 run_rc_command "${_mdconfig_cmd}"
Index: libexec/rc/rc.d/mdconfig2
===================================================================
--- libexec/rc/rc.d/mdconfig2	(revision 342388)
+++ libexec/rc/rc.d/mdconfig2	(working copy)
@@ -1,227 +1,227 @@
 #!/bin/sh
 #
 # Copyright (c) 2006  The FreeBSD Project
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions
 # are met:
 # 1. Redistributions of source code must retain the above copyright
 #    notice, this list of conditions and the following disclaimer.
 # 2. Redistributions in binary form must reproduce the above copyright
 #    notice, this list of conditions and the following disclaimer in the
 #    documentation and/or other materials provided with the distribution.
 #
 # THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 # ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
 # $FreeBSD$
 #
 
 # PROVIDE: mdconfig2
 # REQUIRE: mountcritremote
 # BEFORE: SERVERS
 
 . /etc/rc.subr
 
 name="mdconfig2"
 desc="Create and control memory disks"
 stop_cmd="mdconfig2_stop"
 start_cmd="mdconfig2_start"
 start_precmd='[ -n "${_mdconfig2_list}" ]'
 required_modules="geom_md:g_md"
 
 is_readonly()
 {
 	local _mp _ret
 
 	_mp=$1
 	_ret=`mount | while read _line; do
 		case ${_line} in
 		*" ${_mp} "*read-only*)
 			echo "yes"
 			;;
 
 		*)
 			;;
 		esac;
 	done`
 
 	if [ -n "${_ret}" ]; then
 		return 0
 	else
 		return 1
 	fi
 }
 
 init_variables()
 {
 	local _i
 
 	_fs=""
 	_mp=""
 	_mounted="no"
 	_dev="/dev/${_md}"
 	eval _config=\$mdconfig_${_md}
 	eval _owner=\$mdconfig_${_md}_owner
 	eval _perms=\$mdconfig_${_md}_perms
 	eval _files=\$mdconfig_${_md}_files
 	eval _populate=\$mdconfig_${_md}_cmd
 
 	_type=${_config##*-t\ }
 	_type=${_type%%\ *}
 	if [ -z "${_type}" ]; then
 		err 1 "You need to specify \"-t <type>\" in mdconfig_${_md}"
 	fi
 
 	if [ "${_type}" = "vnode" ]; then
 		_file=${_config##*-f\ }
 		_file=${_file%%\ *}
 		if [ -z "${_file}" ]; then
 			err 2 "You need to specify \"-f <file>\" in mdconfig_${_md} for vnode devices"
 		fi
 
 		if [ "${_file}" != "${_file%.uzip}" ]; then
 			_dev="/dev/${_md}.uzip"
 		fi
 		for _i in `df ${_file} 2>/dev/null`; do _fs=${_i}; done
 	fi
 
 	# Debugging help.
 	debug "${_md} config: ${_config}"
 	debug "${_md} type: ${_type}"
 	debug "${_md} dev: ${_dev}"
 	debug "${_md} file: ${_file}"
 	debug "${_md} fs: ${_fs}"
 	debug "${_md} owner: ${_owner}"
 	debug "${_md} perms: ${_perms}"
 	debug "${_md} files: ${_files}"
 	debug "${_md} populate cmd: ${_populate}"
 }
 
 mdconfig2_start()
 {
 	local _md _fs _mp _mounted _dev _config _type _file _owner _perms _files _populate _fsck_cmd _i
 
 	for _md in ${_mdconfig2_list}; do
 		init_variables ${_md}
 		if [ ! -r ${_file} ]; then
 			err 3 "${_file} doesn't exist"
 			continue
 		fi
 		# First pass: create md(4) vnode devices from files stored on
 		# non-root partition. Swap and malloc md(4) devices have already
 		# been created.
 		if [ "${_type}" = "vnode" -a "${_fs}" != "/" ]; then
 			if [ "${_file}" != "${_file%.uzip}" ]; then
-				load_kld -m g_uzip geom_uzip || return 3
+				load_kld geom_uzip || return 3
 			fi
 			if is_readonly ${_fs}; then
 				warn "${_fs} is mounted read-only, skipping ${_md}."
 				continue
 			fi
 			if mdconfig -l -u ${_md} >/dev/null 2>&1; then
 				err 3 "${_md} already exists"
 			fi
 			echo "Creating ${_md} device (${_type})."
 			if ! mdconfig -a ${_config} -u ${_md}; then
 				echo "Creating ${_md} device failed, moving on."
 				continue
 			fi
 			# Skip fsck for uzip devices.
 			if [ "${_file}" != "${_file%.uzip}" ]; then
 				_fsck_cmd=":"
 			elif checkyesno background_fsck; then
 				_fsck_cmd="fsck -F"
 			else
 				_fsck_cmd="fsck"
 			fi
 			if ! eval ${_fsck_cmd} -p ${_dev} >/dev/null; then
 				echo "Fsck failed on ${_dev}, not mounting the filesystem."
 				continue
 			fi
 			if mount -d ${_dev} >/dev/null 2>&1; then
 				echo "Mounting ${_dev}."
 				mount ${_dev}
 			fi
 		fi
 
 		for _i in `df ${_dev} 2>/dev/null`; do _mp=${_i}; done
 		if [ ! -z "${_mp}" -a "${_mp}" = "${_mp%%%}" ]; then
 			_mounted="yes"
 		fi
 
 		if checkyesno _mounted; then
 			# Second pass: change permissions and ownership.
 			[ -z "${_owner}" ] || chown -f ${_owner} ${_dev} ${_mp}
 			[ -z "${_perms}" ] || chmod -f ${_perms} ${_dev} ${_mp}
 
 			# Third pass: populate with foreign files.
 			if [ -n "${_files}" -o -n "${_populate}" ]; then
 				echo "Populating ${_dev}."
 			fi
 			if [ -n "${_files}" ]; then
 				cp -Rp ${_files} ${_mp}
 			fi
 			if [ -n "${_populate}" ]; then
 				eval ${_populate}
 			fi
 		fi
 	done
 }
 
 mdconfig2_stop()
 {
 	local _md _fs _mp _mounted _dev _config _type _file _owner _perms _files _populate
 
 	for _md in ${_mdconfig2_list}; do
 		init_variables ${_md}
 		if [ "${_type}" = "vnode" ]; then
 			for i in `df ${_dev} 2>/dev/null`; do _mp=$i; done
 			if [ ! -r "${_file}" -o "${_fs}" = "/" ]; then
 				continue
 			fi
 			if [ -z "${_mp}" -o "${_mp}" != "${_mp%%%}" ]; then
 				echo "Device ${_dev} isn't mounted."
 			else
 				echo "Umounting ${_dev}."
 				umount ${_dev}
 			fi
 			if mdconfig -l -u ${_md} >/dev/null 2>&1; then
 				echo "Destroying ${_md}."
 				mdconfig -d -u ${_md}
 			fi
 		fi
 	done
 }
 
 _mdconfig2_cmd="$1"
 if [ $# -gt 0 ]; then
         shift
 fi
 [ -n "$*" ] && _mdconfig2_list="$*"
 
 load_rc_config $name
 
 if [ -z "${_mdconfig2_list}" ]; then
 	for _mdconfig2_config in `list_vars mdconfig_md[0-9]\* |
 		sort_lite -nk1.12`
 	do
 		_mdconfig2_unit=${_mdconfig2_config#mdconfig_md}
 		[ "${_mdconfig2_unit#*[!0-9]}" = "$_mdconfig2_unit" ] ||
 			continue
 		_mdconfig2_list="$_mdconfig2_list md$_mdconfig2_unit"
 	done
 	_mdconfig2_list="${_mdconfig2_list# }"
 fi
 
 run_rc_command "${_mdconfig2_cmd}"
Index: libexec/rc/rc.d/mountcritremote
===================================================================
--- libexec/rc/rc.d/mountcritremote	(revision 342388)
+++ libexec/rc/rc.d/mountcritremote	(working copy)
@@ -1,90 +1,90 @@
 #!/bin/sh
 #
 # $FreeBSD$
 #
 
 # PROVIDE: mountcritremote
 # REQUIRE: NETWORKING FILESYSTEMS ipsec netwait
 # KEYWORD: nojail
 
 . /etc/rc.subr
 
 name="mountcritremote"
 desc="Mount critical remote filesystems"
 stop_cmd=":"
 start_cmd="mountcritremote_start"
 start_precmd="mountcritremote_precmd"
 
 # Mount NFS filesystems if present in /etc/fstab
 #
 # XXX When the vfsload() issues with nfsclient support and related sysctls
 # have been resolved, this block can be removed, and the condition that
 # skips nfs in the following block (for "other network filesystems") can
 # be removed.
 #
 mountcritremote_precmd()
 {
 	case "`mount -d -a -t nfs 2> /dev/null`" in
 	*mount_nfs*)
 		# Handle absent nfs client support
-		load_kld -m nfs nfscl || return 1
+		load_kld nfscl || return 1
 		;;
 	esac
 	return 0
 }
 
 mountcritremote_start()
 {
 	local mounted_remote_filesystem=false
 
 	# Mount nfs filesystems.
 	#
 	case "`/sbin/mount -d -a -t nfs`" in
 	'')
 		;;
 	*)
 		mounted_remote_filesystem=true
 		echo -n 'Mounting NFS filesystems:'
 		mount -a -t nfs
 		echo '.'
 		;;
 	esac
 
 	# Mount other network filesystems if present in /etc/fstab.
 	case ${extra_netfs_types} in
 	[Nn][Oo])
 		;;
 	*)
 		netfs_types="${netfs_types} ${extra_netfs_types}"
 		;;
 	esac
 
 	for i in ${netfs_types}; do
 		fstype=${i%:*}
 		fsdecr=${i#*:}
 
 		[ "${fstype}" = "nfs" ] && continue
 
 		case "`mount -d -a -t ${fstype}`" in
 		*mount_${fstype}*)
 			mounted_remote_filesystem=true
 			echo -n "Mounting ${fsdecr} filesystems:"
 			mount -a -t ${fstype}
 			echo '.'
 			;;
 		esac
 	done
 
 	if $mounted_remote_filesystem; then
 		# Cleanup /var again just in case it's a network mount.
 		/etc/rc.d/cleanvar quietreload
 		rm -f /var/run/clean_var /var/spool/lock/clean_var
 
 		# Regenerate the ldconfig hints in case there are additional
 		# library paths on remote file systems
 		/etc/rc.d/ldconfig quietstart
 	fi
 }
 
 load_rc_config $name
 run_rc_command "$1"
Index: libexec/rc/rc.d/syscons
===================================================================
--- libexec/rc/rc.d/syscons	(revision 342388)
+++ libexec/rc/rc.d/syscons	(working copy)
@@ -1,374 +1,374 @@
 #!/bin/sh -
 #
 # Copyright (c) 2000  The FreeBSD Project
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions
 # are met:
 # 1. Redistributions of source code must retain the above copyright
 #    notice, this list of conditions and the following disclaimer.
 # 2. Redistributions in binary form must reproduce the above copyright
 #    notice, this list of conditions and the following disclaimer in the
 #    documentation and/or other materials provided with the distribution.
 #
 # THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 # ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
 # $FreeBSD$
 #
 
 # PROVIDE: syscons
 # REQUIRE: LOGIN
 # KEYWORD: nojail
 
 . /etc/rc.subr
 
 name="syscons"
 desc="Configure the system console"
 extra_commands="setkeyboard"
 setkeyboard_cmd="syscons_setkeyboard"
 start_precmd="syscons_precmd"
 start_cmd="syscons_start"
 stop_cmd=":"
 
 # stdin must be redirected because it might be for a serial console
 #
 kbddev=/dev/ttyv0
 viddev=/dev/ttyv0
 
 _sc_config=
 _sc_console=
 _sc_initdone=
 _sc_keymap_msg=
 sc_init()
 {
 	if [ -z "${_sc_initdone}" ]; then
 		if [ -z "${_sc_console}" ]; then
 			if [ x`sysctl -n kern.vty` = x"vt" ]; then
 				_sc_console="vt"
 			else
 				_sc_console="syscons"
 			fi
 			_sc_config="${_sc_console}"
 		fi
 		echo -n "Configuring ${_sc_config}:"
 		_sc_initdone=yes
 	fi
 }
 
 # syscons to vt migration helper
 lookup_keymap_for_vt()
 {
 	keymap=`basename $1 .kbd`
 	case $keymap in
 hy.armscii-8)			echo am;;
 be.iso.acc)			echo be.acc;;
 be.iso)				echo be;;
 bg.bds.ctrlcaps)		echo bg.bds;;
 bg.phonetic.ctrlcaps)		echo bg.phonetic;;
 br275.iso.acc)			echo br;;
 br275.*)			echo br.noacc;;
 by.*)				echo by;;
 fr_CA.iso.acc)			echo ca-fr;;
 swissgerman.macbook.acc)	echo ch.macbook.acc;;
 swissgerman.iso.acc)		echo ch.acc;;
 swissgerman.*)			echo ch;;
 swissfrench.iso.acc)		echo ch-fr.acc;;
 swissfrench.*)			echo ch-fr;;
 ce.iso2)			echo centraleuropean.qwerty;;
 colemak.iso15.acc)		echo colemak.acc;;
 cs.*|cz.*)			echo cz;;
 german.iso.acc)			echo de.acc;;
 german.*)			echo de;;
 danish.iso.acc)			echo dk.acc;;
 danish.iso.macbook)		echo dk.macbook;;
 danish.*)			echo dk;;
 estonian.*)			echo ee;;
 spanish.dvorak)			echo es.dvorak;;
 spanish.iso*.acc)		echo es.acc;;
 spanish.iso)			echo es;;
 finnish.*)			echo fi;;
 fr.macbook.acc)			echo fr.macbook;;
 fr.iso.acc)			echo fr.acc;;
 fr.iso)				echo fr;;
 el.iso07)			echo gr;;
 gr.us101.acc)			echo gr.101.acc;;
 hr.iso)				echo hr;;
 hu.iso2.101keys)		echo hu.101;;
 hu.iso2.102keys)		echo hu.102;;
 iw.iso8)			echo il;;
 icelandic.iso.acc)		echo is.acc;;
 icelandic.iso)			echo is;;
 it.iso)				echo it;;
 jp.106x)			echo jp.capsctrl;;
 jp.106)				echo jp;;
 kk.pt154.io)			echo kz.io;;
 kk.pt154.kst)			echo kz.kst;;
 latinamerican.iso.acc)		echo latinamerican.acc;;
 lt.iso4)			echo lt;;
 norwegian.iso)			echo no;;
 norwegian.dvorak)		echo no.dvorak;;
 dutch.iso.acc)			echo nl;;
 eee_nordic)			echo nordic.asus-eee;;
 pl_PL.dvorak)			echo pl.dvorak;;
 pl_PL.ISO8859-2)		echo pl;;
 pt.iso.acc)			echo pt.acc;;
 pt.iso)				echo pt;;
 ru.koi8-r.shift)		echo ru.shift;;
 ru.koi8-r.win)			echo ru.win;;
 ru.*)				echo ru;;
 swedish.*)			echo se;;
 si.iso)				echo si;;
 sk.iso2)			echo sk;;
 tr.iso9.q)			echo tr;;
 ua.koi8-u.shift.alt)		echo ua.shift.alt;;
 ua.*)				echo ua;;
 uk.*-ctrl)			echo uk.capsctrl;;
 uk.dvorak)			echo uk.dvorak;;
 uk.*)				echo uk;;
 us.iso.acc)			echo us.acc;;
 us.pc-ctrl)			echo us.ctrl;;
 us.iso)				echo us;;
 	esac
 }
 
 kbdcontrol_load_keymap()
 {
 	errmsg=`kbdcontrol < ${kbddev} -l ${keymap} 2>&1`
 	if [ -n "${errmsg}" -a "${_sc_console}" = "vt" ]; then
 		_sc_keymap_msg="${errmsg}"
 		keymap_vt=`lookup_keymap_for_vt ${keymap}`
 		if [ -n "${keymap_vt}" ]; then
 			errmsg=`kbdcontrol < ${kbddev} -l ${keymap_vt} 2>&1`
 			if [ -z "${errmsg}" ]; then
 		    		_sc_keymap_msg="New keymap: In /etc/rc.conf replace 'keymap=${keymap}' by 'keymap=${keymap_vt}'"
 			fi
 		else
 			_sc_keymap_msg="No replacement found for keymap '${keymap}'.
 You may try to convert your keymap file using 'convert-keymap.pl', which is
 part of the system sources and located in /usr/src/tools/tools/vt/keymaps/"
 		fi
 	fi
 }
 
 # helper
 syscons_configure_keyboard()
 {
 	# keymap
 	#
 	case ${keymap} in
 	NO | '')
 		;;
 	*)
 		sc_init
 		echo -n ' keymap';	kbdcontrol_load_keymap
 		;;
 	esac
 
 	# keyrate
 	#
 	case ${keyrate} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' keyrate';	kbdcontrol < ${kbddev} -r ${keyrate}
 		;;
 	esac
 
 	# keybell
 	#
 	case ${keybell} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' keybell';	kbdcontrol < ${kbddev} -b ${keybell}
 		;;
 	esac
 
 	# change function keys
 	#
 	case ${keychange} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' keychange'
 		set -- ${keychange}
 		while [ $# -gt 0 ]; do
 			kbdcontrol <${kbddev} -f "$1" "$2"
 			shift; shift
 		done
 		;;
 	esac
 
 	# set this keyboard mode for all virtual terminals
 	#
 	if [ -n "${allscreens_kbdflags}" ]; then
 		sc_init
 		echo -n ' allscreens_kbd'
 		for ttyv in /dev/ttyv*; do
 			kbdcontrol ${allscreens_kbdflags} < ${ttyv} > ${ttyv} 2>&1
 		done
 	fi
 }
 
 syscons_setkeyboard()
 {
 	kbd=$1
 
 	if [ -z "${kbd}" ]; then
 		return 1
 	fi
 
 	# Check if the kbdmux(4) is the current active keyboard
 	kbdcontrol -i < ${kbddev} | grep kbdmux > /dev/null 2>&1
 	if [ $? -ne 0 ]; then
 		kbdcontrol -k ${kbd} < ${kbddev} > /dev/null 2>&1
 	fi
 
 	_sc_config="keyboard"
 	syscons_configure_keyboard
 
 	# Terminate keyboard configuration line and reset global variables.
 	#
 	if [ -n "${_sc_initdone}" ]; then
 		echo '.'
 		_sc_config="${_sc_console}"
 		_sc_initdone=
 	fi
 }
 
 syscons_precmd()
 {
 	if [ ! -c $kbddev ]
 	then
 		return 1
 	fi
 	return 0
 }
 
 syscons_start()
 {
 	# keyboard
 	#
 	if [ -n "${keyboard}" ]; then
 		syscons_setkeyboard ${keyboard}
 	fi
 
 	syscons_configure_keyboard
 
 	# cursor type
 	#
 	case ${cursor} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' cursor';	vidcontrol < ${viddev} -c ${cursor}
 		;;
 	esac
 
 	# screen mapping
 	#
 	case ${scrnmap} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' scrnmap';	vidcontrol < ${viddev} -l ${scrnmap}
 		;;
 	esac
 
 	# font 8x16
 	#
 	case ${font8x16} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' font8x16';	vidcontrol < ${viddev} -f 8x16 ${font8x16}
 		;;
 	esac
 
 	# font 8x14
 	#
 	case ${font8x14} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' font8x14';	vidcontrol < ${viddev} -f 8x14 ${font8x14}
 		;;
 	esac
 
 	# font 8x8
 	#
 	case ${font8x8} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' font8x8';	vidcontrol < ${viddev} -f 8x8 ${font8x8}
 		;;
 	esac
 
 	# blank time
 	#
 	case ${blanktime} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' blanktime';	vidcontrol < ${viddev} -t ${blanktime}
 		;;
 	esac
 
 	# screen saver
 	#
 	case ${saver} in
 	[Nn][Oo] | '')
 		;;
 	*)
 		sc_init
 		echo -n ' screensaver'
 		for i in `kldstat | awk '$5 ~ "_saver\.ko$" { print $5 }'`; do
 			kldunload ${i}
 		done
-		load_kld -e _saver ${saver}_saver
+		load_kld ${saver}_saver
 		;;
 	esac
 
 	# set this mode for all virtual screens
 	#
 	if [ -n "${allscreens_flags}" ]; then
 		sc_init
 		echo -n ' allscreens'
 		for ttyv in /dev/ttyv*; do
 			vidcontrol ${allscreens_flags} < ${ttyv} > ${ttyv} 2>&1
 		done
 	fi
 
 	[ -n "${_sc_initdone}" ] && echo '.'
 	if [ -n "${_sc_keymap_msg}" ]; then
 		echo
 		echo "WARNING:"
 		echo "${_sc_keymap_msg}."
 		echo
 	fi
 }
 
 load_rc_config $name
 run_rc_command $*
 
